%ifarch ppc64 ppc64le
# workaround #1224945
%undefine _hardened_build
%endif
%global bootstrap 0

%global mono_arches %ix86 x86_64 %{arm} sparcv9 alpha s390x ppc ppc64 ppc64le
# see https://lists.fedoraproject.org/pipermail/packaging/2011-May/007762.html
%global _missing_build_ids_terminate_build 0
#global debug_package %{nil}
# see https://fedorahosted.org/fpc/ticket/395
%global _monodir %{_prefix}/lib/mono
%global _monogacdir %{_monodir}/gac

%define _disable_libtoolize 1

Name:           mono
Version:        4.2.4
Release:        %mkrel 3
Summary:        Cross-platform, Open Source, .NET development framework

Group:          Development/C#
License:        MIT
URL:            http://www.mono-project.com
Source0:        http://download.mono-project.com/sources/mono/mono-%{version}.4.tar.bz2
# This key was generated by Tom "spot" Callaway <tcallawa@redhat.com> on Dec 1, 2009
# by running the following command:
# sn -k mono.snk
# You should not regenerate this unless you have a really, really, really good reason.
Source1:        mono.snk
Patch0:         mono-4.0.0-ignore-reference-assemblies.patch
Patch1:         mono-4.2.0-tlab_next_addr_offset.patch
Patch2:         mono-4.0.0-libgdiplusconfig.patch
Patch3:         mono-4.2.1-ppc.patch
Patch4:         mono-4.2.1-s390.patch
Patch5:         mono-4.2.2-asmx.patch

BuildRequires:  bison
BuildRequires:  gcc-c++
BuildRequires:  gettext-devel
BuildRequires:  libicu-devel
BuildRequires:  libgdiplus-devel >= 2.10
BuildRequires:  pkgconfig
BuildRequires:  valgrind-devel
BuildRequires:  zlib-devel

# http://www.mono-project.com/docs/about-mono/releases/4.0.0/#npgsql
Obsoletes:      mono-data-postgresql
# http://www.mono-project.com/docs/about-mono/releases/4.0.0/#entityframework
Obsoletes:      mono-entityframework

# Yes, mono actually depends on itself, because
# we deleted the bootstrapping binaries. If you
# need to bootstrap mono, comment out this BuildRequires
# and don't delete the binaries in %%prep.

%if 0%{bootstrap}
# for bootstrap, use bundled monolite instead of local mono
%else
BuildRequires: mono-core >= 4.0
%endif

# JIT only available on these:
ExclusiveArch: %mono_arches

%global _use_internal_dependency_generator 0
%global __find_provides env sh -c 'filelist=($(cat)) && { printf "%s\\n" "${filelist[@]}" | /usr/lib/rpm/mageia/find-provides && printf "%s\\n" "${filelist[@]}" | prefix=%{buildroot}%{_prefix} %{buildroot}%{_bindir}/mono-find-provides; } | sort | uniq'
%global __find_requires env sh -c 'filelist=($(cat)) && { printf "%s\\n" "${filelist[@]}" | /usr/lib/rpm/mageia/find-requires && printf "%s\\n" "${filelist[@]}" | prefix=%{buildroot}%{_prefix} %{buildroot}%{_bindir}/mono-find-requires; } | sort | uniq | grep ^...'

%description
The Mono runtime implements a JIT engine for the ECMA CLI
virtual machine (as well as a byte code interpreter, the
class loader, the garbage collector, threading system and
metadata access libraries.

%package core
Summary:        The Mono CIL runtime, suitable for running .NET code
Group:          Development/C#
Requires:       libgdiplus
%rename  mono
%rename  %{_lib}mono0
%rename  %{_lib}mono2.0_1

%description core
This package contains the core of the Mono runtime including its
Virtual Machine, Just-in-time compiler, C# compiler, security
tools and libraries (corlib, XML, System.Security, ZipLib,
I18N, Cairo and Mono.*).

%package winfx
Summary:        Mono implementation of core WinFX APIs
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}
Obsoletes:      mono-winfxcore < 4.2.1-7

%description winfx
Open source implementation of core WinFX APIs

%package mvc
Summary:        Mono implementation of ASP.NET MVC
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}

%description mvc
This is the Mono implementation of ASP.NET MVC

%package mvc-devel
Summary:        Development files for  ASP.NET MVC
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}

%description mvc-devel
This is the Mono implementation of ASP.NET MVC

%package devel
Summary:        Development tools for Mono
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}
Requires:       pkgconfig
Requires:       glib2-devel
Obsoletes:      %{_lib}mono-devel
Conflicts:      %{_lib}mono0 < 4.0.0
%rename         monodoc-core

%description devel
This package completes the Mono developer toolchain with the mono profiler,
assembler and other various tools.

%package locale-extras
Summary:        Extra locale information for Mono
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}

%description locale-extras
This package contains assemblies to support I18N applications for
non-latin alphabets.

%package extras
Summary:        Provides the infrastructure for running and building daemons and services with Mono as well as various stub assemblies
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}

%description extras
This package provides the library and application to run services
and daemons with Mono. It also includes stubs for the following
assemblies: Microsoft.Vsa,
System.Configuration.Install, System.Management, System.Messaging.

%package reactive
License:        MIT License (or similar) ; Apache License 2.0
Summary:        Reactive Extensions for Mono core libraries
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}

%description reactive
Reactive Extensions for Mono, this packages don't depend on
desktop-specific features.

%package reactive-winforms
License:        MIT License (or similar) ; Apache License 2.0
Summary:        Reactive Extensions for Mono desktop-specific libraries
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}
Requires:       mono-reactive = %{version}-%{release}

%description reactive-winforms
Reactive Extensions for Mono, desktop-specific packages (winforms,
windows threading).

%package reactive-devel
Summary:        Development files for system.web
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}
Requires:       mono-reactive = %{version}-%{release} pkgconfig

%description reactive-devel
This package provides the .pc file for mono-rx

%package winforms
Summary:        Windows Forms implementation for Mono
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}

%description winforms
This package provides a fully managed implementation of
System.Windows.Forms, the default graphical toolkit for .NET
applications.

%package wcf
Summary:        Mono implementation of Windows Communication Foundation
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}

%description wcf
This package provides an implementation of WCF, the Windows Communication
Foundation.

%package web
Summary:        ASP.NET, Remoting, and Web Services for Mono
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}

%description web
This package provides the ASP.NET libraries and runtime for
development of web application, web services and remoting support.

%package web-devel
Summary:        Development files for system.web
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}
Requires:       mono-web = %{version}-%{release} pkgconfig

%description web-devel
This package provides the .pc file for mono-web

%package data
Summary:        Database connectivity for Mono
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}

%description data
This package provides a Mono assembly to facilitate data access
and manipulation with databases, LDAP compatible directory servers
and/or XML data exchange. Beyond the ADO.NET, Novell.LDAP and
System.DirectoryServices assemblies, it also includes a command
line sql application as well as the Microsoft SQL Server and ODBC
data providers.

%package data-sqlite
Summary:        sqlite database connectivity for Mono
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}
Requires:       sqlite3-tools

%description data-sqlite
This package contains the ADO.NET Data provider for the sqlite
database.

%package data-oracle
Summary:        Oracle database connectivity for Mono
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}

%description data-oracle
This package contains the ADO.NET Data provider for the Oracle
database.

%package -n ibm-data-db2
Summary:        IBM DB2 database connectivity for Mono
Group:          Development/C#
Requires:       mono-core = %{version}-%{release}

%description -n ibm-data-db2
This package contains the ADO.NET Data provider for the IBM DB2
Universal database.

%package -n monodoc
Summary:        The mono documentation system
Group:          Documentation
Requires:       mono-core = %{version}-%{release}

%description -n monodoc
monodoc is the documentation package for the mono .NET environment

%package -n monodoc-devel
Summary:        .pc file for monodoc
Group:          Documentation
Requires:       monodoc = %{version}-%{release} pkgconfig
Requires:       mono-core = %{version}-%{release}

%description -n monodoc-devel
Development file for monodoc

%global gac_dll(dll)  %{_monogacdir}/%{1} \
  %{_monodir}/4.5/%{1}.dll \
  %{nil}
%global mono_bin(bin) %{_bindir}/%{1} \
  %{_monodir}/4.5/%{1}.exe \
  %{_monodir}/4.5/%{1}.exe.* \
  %{nil}

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

# Add undeclared Arg
sed -i "61a #define ARG_MAX     _POSIX_ARG_MAX" mono/io-layer/wapi_glob.h

# Remove prebuilt binaries
find . -name "*.dll" -not -path "./mcs/class/lib/monolite/*" -print -delete
find . -name "*.exe" -not -path "./mcs/class/lib/monolite/*" -print -delete
%if 0%{bootstrap}
# for bootstrap, keep monolite. Mono 2.10 is too old to compile Mono 4.0
%else
rm -rf mcs/class/lib/monolite/*
%endif

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"

%configure --disable-rpath \
           --with-moonlight=no

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

# copy the mono.snk key into /etc/pki/mono
mkdir -p %{buildroot}%{_sysconfdir}/pki/mono
install -p -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pki/mono/

# This was removed upstream:
# remove .la files (they are generally bad news)
rm -f %{buildroot}%{_libdir}/*.la
# remove Windows-only stuff
rm -rf %{buildroot}%{_monodir}/*/Mono.Security.Win32*
rm -f %{buildroot}%{_libdir}/libMonoSupportW.*
# remove .a files for libraries that are really only for us
rm %{buildroot}%{_libdir}/*.a
# remove libgc cruft
rm -rf %{buildroot}%{_datadir}/libgc-mono
# remove stuff that we don't package
rm -f %{buildroot}%{_bindir}/cilc
rm -f %{buildroot}%{_mandir}/man1/cilc.1*
rm -f %{buildroot}%{_monodir}/*/browsercaps-updater.exe*
rm -f %{buildroot}%{_monodir}/*/culevel.exe*
rm -f %{buildroot}%{_monodir}/2.0/cilc.exe*

rm -f %{buildroot}%{_monodir}/*/mscorlib.dll.so
rm -f %{buildroot}%{_monodir}/*/mcs.exe.so
rm -f %{buildroot}%{_monodir}/*/gmcs.exe.so
rm -f %{buildroot}%{_monodir}/4.0/dmcs.exe.so
rm -rf %{buildroot}%{_bindir}/mono-configuration-crypto
rm -rf %{buildroot}%{_mandir}/man?/mono-configuration-crypto*

# remove the mono-nunit files
rm -f %{buildroot}%{_bindir}/nunit-console
rm -f %{buildroot}%{_bindir}/nunit-console2
rm -f %{buildroot}%{_bindir}/nunit-console4
rm -f %{buildroot}%{_monodir}/4.5/nunit*
rm -Rf %{buildroot}%{_monodir}/gac/nunit*
rm -f %{buildroot}%{_libdir}/pkgconfig/mono-nunit.pc

# remove dmcs because it requires the .net 4.0 sdk but we only deliver 4.5 with Fedora (#1294967)
rm -f %{buildroot}%{_bindir}/dmcs

# Move upstream GDB scripts for security reasons of new GDB.
mkdir -p %{buildroot}%{_datadir}/gdb/auto-load%{_bindir}
%{__mv} -f %{buildroot}%{_bindir}/mono-gdb.py \
           %{buildroot}%{_datadir}/gdb/auto-load%{_bindir}/

%find_lang mcs

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig

%files core -f mcs.lang
%doc COPYING.LIB ChangeLog NEWS README.md
%{_bindir}/mono
%{_bindir}/mono-test-install
%{_datadir}/gdb/auto-load/*
%{_bindir}/mono-boehm
%{_bindir}/mono-service2
%{_bindir}/mono-sgen
%{_bindir}/mono-sgen-gdb.py
%{_libdir}/mono/lldb/mono.py*
%mono_bin csharp
%mono_bin cert-sync
%mono_bin chktrust
%mono_bin gacutil
%mono_bin ikdasm
%mono_bin lc
%{_bindir}/gacutil2
%{_bindir}/mcs
%{_monodir}/4.5/mcs.exe*
%mono_bin mozroots
%mono_bin pdb2mdb
%mono_bin setreg
%mono_bin sn
%{_bindir}/mono-heapviz
%{_bindir}/mprof-report
%{_mandir}/man1/certmgr.1.*
%{_mandir}/man1/chktrust.1.*
%{_mandir}/man1/gacutil.1.*
%{_mandir}/man1/mcs.1.*
%{_mandir}/man1/mono.1.*
%{_mandir}/man1/mozroots.1.*
%{_mandir}/man1/setreg.1.*
%{_mandir}/man1/sn.1.*
%{_mandir}/man5/mono-config.5.*
%{_mandir}/man1/csharp.1.*
%{_mandir}/man1/pdb2mdb.1.*
%{_mandir}/man1/lc.1.*
%{_mandir}/man1/mprof-report.1.*
%{_libdir}/libMonoPosixHelper.so*
%dir %{_monodir}
%dir %{_monodir}/gac
%gac_dll Commons.Xml.Relaxng
%gac_dll ICSharpCode.SharpZipLib
%gac_dll Mono.Debugger.Soft
%{_monogacdir}/Mono.Cecil
%gac_dll cscompmgd
%gac_dll Microsoft.VisualC
%gac_dll Mono.C5
%gac_dll Mono.Cairo
%gac_dll Mono.CompilerServices.SymbolWriter
%gac_dll Mono.CSharp
%gac_dll System.Drawing
%gac_dll Mono.Management
%gac_dll Mono.Posix
%gac_dll Mono.Security
%gac_dll Mono.Simd
%gac_dll System
%gac_dll System.Configuration
%gac_dll System.Core
%gac_dll System.Security
%gac_dll System.Xml
%gac_dll Mono.Tasklets
%gac_dll System.Net
%gac_dll System.Xml.Linq
%dir %{_sysconfdir}/mono
%dir %{_sysconfdir}/mono/mconfig
%config (noreplace) %{_sysconfdir}/mono/config
%config (noreplace) %{_sysconfdir}/mono/2.0/machine.config
%config (noreplace) %{_sysconfdir}/mono/2.0/settings.map
%{_libdir}/libmono*-2.0.so.*
%{_libdir}/libmono-profiler-*.so.*
%config (noreplace) %{_sysconfdir}/mono/4.0/*.config
%config (noreplace) %{_sysconfdir}/mono/4.0/settings.map
%config (noreplace) %{_sysconfdir}/mono/4.0/DefaultWsdlHelpGenerator.aspx
%config (noreplace) %{_sysconfdir}/mono/4.5/DefaultWsdlHelpGenerator.aspx
%config (noreplace) %{_sysconfdir}/mono/4.5/machine.config
%config (noreplace) %{_sysconfdir}/mono/4.5/settings.map
%config (noreplace) %{_sysconfdir}/mono/4.5/web.config
%dir %{_sysconfdir}/mono/4.0
%mono_bin ccrewrite
%{_monodir}/4.5/mscorlib.dll
%{_monodir}/4.5/mscorlib.dll.mdb
%gac_dll Microsoft.CSharp
%gac_dll System.Dynamic
%gac_dll Mono.Data.Tds
%gac_dll System.ComponentModel.Composition
%gac_dll System.EnterpriseServices
%gac_dll System.Data
%gac_dll System.Numerics
%gac_dll System.Runtime.Caching
%gac_dll System.Runtime.DurableInstancing
%gac_dll System.Transactions
%gac_dll System.Xaml
%gac_dll WebMatrix.Data
%gac_dll Mono.CodeContracts
%{_monodir}/mono-configuration-crypto/4.5/mono-config*
%{_monodir}/mono-configuration-crypto/4.5/Mono.Configuration.Crypto.dll*
%{_mandir}/man1/ccrewrite.1.*
%gac_dll CustomMarshalers
%gac_dll I18N.West
%gac_dll I18N
%gac_dll System.Json
%gac_dll Mono.Parallel
%gac_dll System.Json.Microsoft
%{_monodir}/4.5/Facades/*.dll
%gac_dll System.IO.Compression
%gac_dll System.IO.Compression.FileSystem
%gac_dll System.Net.Http
%gac_dll System.Net.Http.WebRequest
%gac_dll System.Threading.Tasks.Dataflow

%files devel
%{_sysconfdir}/pki/mono/
%{_bindir}/mono-api-info
%{_monodir}/4.5/mono-api-info.exe
%mono_bin mono-symbolicate
%gac_dll SMDiagnostics
%mono_bin xbuild
%{_monodir}/4.5/xbuild.rsp
%mono_bin genxs
%{_monodir}/4.5/ictool*
%{_monodir}/4.5/mod*
%mono_bin al
%{_bindir}/al2
%mono_bin caspol
%mono_bin cert2spc
%mono_bin certmgr
%mono_bin dtd2rng
%mono_bin dtd2xsd
%mono_bin ilasm
%mono_bin installvst
%{_monodir}/4.5/installutil*
%mono_bin macpack
%mono_bin mkbundle
%mono_bin makecert
%mono_bin mono-cil-strip
%{_bindir}/mono-find-provides
%{_bindir}/mono-find-requires
%{_bindir}/monodis
%mono_bin monolinker
%mono_bin mono-shlib-cop
%mono_bin mono-xmltool
%mono_bin monop
%{_bindir}/monop2
%mono_bin permview
%{_bindir}/peverify
%{_bindir}/prj2make
%mono_bin resgen
%{_bindir}/resgen2
%mono_bin sgen
%mono_bin secutil
%mono_bin signcode
%mono_bin cccheck
%mono_bin crlupdate
%mono_bin mdbrebase
%{_prefix}/lib/mono-source-libs/
%{_bindir}/pedump
%{_mandir}/man1/resgen.1.*
%{_mandir}/man1/al.1.*
%{_mandir}/man1/cert2spc.1.*
%{_mandir}/man1/dtd2xsd.1.*
%{_mandir}/man1/genxs.1.*
%{_mandir}/man1/ilasm.1.*
%{_mandir}/man1/macpack.1.*
%{_mandir}/man1/makecert.1.*
%{_mandir}/man1/mkbundle.1.*
%{_mandir}/man1/mono-cil-strip.1.*
%{_mandir}/man1/monodis.1.*
%{_datadir}/mono-2.0/mono/cil/cil-opcodes.xml
%{_datadir}/mono-2.0/mono/profiler/mono-profiler-log.suppression
%{_mandir}/man1/monolinker.1.*
%{_mandir}/man1/mono-shlib-cop.1.*
%{_mandir}/man1/mono-symbolicate.1.*
%{_mandir}/man1/mono-xmltool.1.*
%{_mandir}/man1/monop.1.*
%{_mandir}/man1/permview.1.*
%{_mandir}/man1/prj2make.1.*
%{_mandir}/man1/secutil.1.*
%{_mandir}/man1/sgen.1.*
%{_mandir}/man1/signcode.1.*
%{_mandir}/man1/xbuild.1.*
%{_mandir}/man1/mono-api-info.1.*
%{_mandir}/man1/cccheck.1.*
%{_mandir}/man1/crlupdate.1.*
%gac_dll PEAPI
%gac_dll Microsoft.Build
%gac_dll Microsoft.Build.Engine
%gac_dll Microsoft.Build.Framework
%{_monogacdir}/Microsoft.Build.Tasks.Core
%gac_dll Microsoft.Build.Tasks.v4.0
%gac_dll Microsoft.Build.Utilities.v4.0
%{_monogacdir}/Microsoft.Build.Utilities.Core
%{_monogacdir}/Microsoft.Build.Tasks.v12.0
%{_monogacdir}/Microsoft.Build.Utilities.v12.0
%gac_dll Mono.XBuild.Tasks
%gac_dll System.Windows
%gac_dll System.Xml.Serialization
%{_monodir}/4.5/Microsoft.Common.tasks
%{_monodir}/4.5/MSBuild/Microsoft.Build*
%{_monodir}/4.5/Microsoft.Build.xsd
%{_monodir}/4.5/Microsoft.CSharp.targets
%{_monodir}/4.5/Microsoft.Common.targets
%{_monodir}/4.5/Microsoft.VisualBasic.targets
%{_monodir}/xbuild/
%{_monodir}/xbuild-frameworks/
%{_libdir}/libikvm-native.so
%{_libdir}/libmono-profiler-*.so
%{_libdir}/libmono*-2.0.so
%{_libdir}/pkgconfig/dotnet.pc
%{_libdir}/pkgconfig/mono-cairo.pc
%{_libdir}/pkgconfig/mono.pc
%{_libdir}/pkgconfig/mono-2.pc
%{_libdir}/pkgconfig/monosgen-2.pc
%{_libdir}/pkgconfig/cecil.pc
%{_libdir}/pkgconfig/dotnet35.pc
%{_libdir}/pkgconfig/mono-lineeditor.pc
%{_libdir}/pkgconfig/mono-options.pc
%{_libdir}/pkgconfig/wcf.pc
%{_libdir}/pkgconfig/xbuild12.pc
%{_includedir}/mono-2.0/mono/jit/jit.h
%{_includedir}/mono-2.0/mono/metadata/*.h
%{_includedir}/mono-2.0/mono/utils/*.h
%{_includedir}/mono-2.0/mono/cil/opcode.def

%files locale-extras
%gac_dll I18N.CJK
%gac_dll I18N.MidEast
%gac_dll I18N.Other
%gac_dll I18N.Rare

%files extras
%mono_bin mono-service
%{_monogacdir}/mono-service
%gac_dll System.Configuration.Install
%gac_dll System.Management
%gac_dll System.Messaging
%gac_dll System.ServiceProcess
%gac_dll System.Runtime.Caching
%gac_dll System.Xaml
%gac_dll Mono.Messaging.RabbitMQ
%gac_dll Mono.Messaging
%gac_dll RabbitMQ.Client
%{_monodir}/4.5/RabbitMQ.Client.Apigen*
%{_mandir}/man1/mono-service.1.*

%files reactive
%gac_dll System.Reactive.Core
%gac_dll System.Reactive.Debugger
%gac_dll System.Reactive.Experimental
%gac_dll System.Reactive.Interfaces
%gac_dll System.Reactive.Linq
%gac_dll System.Reactive.Observable.Aliases
%gac_dll System.Reactive.PlatformServices
%gac_dll System.Reactive.Providers
%gac_dll System.Reactive.Runtime.Remoting

%files reactive-winforms
%gac_dll System.Reactive.Windows.Forms
%gac_dll System.Reactive.Windows.Threading

%files reactive-devel
%_libdir/pkgconfig/reactive.pc

%files wcf
%gac_dll System.IdentityModel
%gac_dll System.IdentityModel.Selectors
%gac_dll System.ServiceModel
%gac_dll System.ServiceModel.Activation
%gac_dll System.ServiceModel.Discovery
%gac_dll System.ServiceModel.Internals
%gac_dll System.ServiceModel.Routing
%gac_dll System.ServiceModel.Web

%files web
%mono_bin disco
%mono_bin httpcfg
%mono_bin mconfig
%mono_bin soapsuds
%mono_bin svcutil
%mono_bin wsdl
%{_bindir}/wsdl2
%mono_bin xsd
%gac_dll Microsoft.Web.Infrastructure
%gac_dll Mono.Http
%gac_dll System.ComponentModel.DataAnnotations
%gac_dll System.Net.Http.Formatting
%gac_dll System.Runtime.Remoting
%gac_dll System.Runtime.Serialization.Formatters.Soap
%gac_dll System.Web
%gac_dll System.Web.Abstractions
%gac_dll System.Web.DynamicData
%gac_dll System.Web.Routing
%gac_dll System.Web.Services
%gac_dll System.Web.ApplicationServices
%gac_dll System.Web.Http
%gac_dll System.Web.Http.SelfHost
%gac_dll System.Web.Http.WebHost
%gac_dll System.Web.Razor
%gac_dll System.Web.WebPages
%gac_dll System.Web.WebPages.Deployment
%gac_dll System.Web.WebPages.Razor
%{_mandir}/man1/disco.1.*
%{_mandir}/man1/httpcfg.1.*
%{_mandir}/man1/mconfig.1.*
%{_mandir}/man1/soapsuds.1.*
%{_mandir}/man1/wsdl.1.*
%{_mandir}/man1/xsd.1.*
%config (noreplace) %{_sysconfdir}/mono/browscap.ini
%config (noreplace) %{_sysconfdir}/mono/2.0/Browsers/Compat.browser
%config (noreplace) %{_sysconfdir}/mono/4.0/Browsers/Compat.browser
%config (noreplace) %{_sysconfdir}/mono/4.5/Browsers/Compat.browser
%config (noreplace) %{_sysconfdir}/mono/2.0/DefaultWsdlHelpGenerator.aspx
%config (noreplace) %{_sysconfdir}/mono/mconfig/config.xml
%config (noreplace) %{_sysconfdir}/mono/2.0/web.config

%files web-devel
%{_libdir}/pkgconfig/aspnetwebstack.pc

%files winforms
%gac_dll Accessibility
%gac_dll Mono.WebBrowser
%gac_dll System.Design
%gac_dll System.Drawing.Design
%gac_dll System.Windows.Forms
%gac_dll System.Windows.Forms.DataVisualization

%files mvc
%gac_dll System.Web.DynamicData
%gac_dll System.Web.Extensions
%gac_dll System.Web.Extensions.Design
%gac_dll System.Web.Mvc

%files mvc-devel
%{_libdir}/pkgconfig/system.web.extensions.design_1.0.pc
%{_libdir}/pkgconfig/system.web.extensions_1.0.pc
%{_libdir}/pkgconfig/system.web.mvc.pc
%{_libdir}/pkgconfig/system.web.mvc2.pc
%{_libdir}/pkgconfig/system.web.mvc3.pc

%files winfx
%gac_dll System.Data.Services.Client
%gac_dll WindowsBase

%files data
%mono_bin sqlsharp
%mono_bin sqlmetal
%gac_dll System.Data
%gac_dll System.Data.DataSetExtensions
%gac_dll System.Data.Entity
%gac_dll System.Data.Linq
%gac_dll System.Data.Services
%gac_dll System.Data.Services.Client
%gac_dll System.DirectoryServices
%gac_dll System.DirectoryServices.Protocols
%gac_dll System.EnterpriseServices
%gac_dll System.Runtime.Serialization
%gac_dll System.Transactions
%gac_dll Mono.Data.Tds
%gac_dll Novell.Directory.Ldap
%gac_dll WebMatrix.Data
%{_mandir}/man1/sqlsharp.1.*

%files data-sqlite
%gac_dll Mono.Data.Sqlite

%files data-oracle
%gac_dll System.Data.OracleClient

%files -n ibm-data-db2
%gac_dll IBM.Data.DB2

%files -n monodoc
%{_monogacdir}/monodoc
%{_monodir}/monodoc/*
%ifnarch  ppc
%{_prefix}/lib/monodoc
%endif
%mono_bin mdoc
%{_bindir}/mod
%{_bindir}/mdoc-*
%{_bindir}/mdass*
%{_bindir}/mdval*
%{_bindir}/monodoc*
%{_mandir}/man1/md*
%{_mandir}/man1/monodoc*
%{_mandir}/man5/mdoc*

%files -n monodoc-devel
%{_libdir}/pkgconfig/monodoc.pc


%changelog
* Wed Mar 15 2017 mrambo3501 <mrambo3501> 4.2.4-3.mga6
+ Revision: 1092735
- Rebuild for icu-58.2

* Thu Jun 23 2016 tv <tv> 4.2.4-2.mga6
+ Revision: 1037259
- do not drop Microsoft targets files, they are needed for WebApplications (rhbz#1342852)

* Tue Jun 14 2016 tv <tv> 4.2.4-1.mga6
+ Revision: 1021459
- new release

* Tue Jun 14 2016 tv <tv> 4.2.3-3.mga6
+ Revision: 1021455
- try re-enabling debuginfo

* Sat May 14 2016 shlomif <shlomif> 4.2.3-2.mga6
+ Revision: 1015255
- Rebuild for the new ICU (new major)

* Fri Apr 08 2016 tv <tv> 4.2.3-1.mga6
+ Revision: 999421
- new release

* Fri Apr 08 2016 tv <tv> 4.2.2-1.mga6
+ Revision: 999397
- new release
- remove dmcs because it requires the .net 4.0 sdk but we only deliver 4.5
  (rhbz#1294967)

* Wed Feb 17 2016 wally <wally> 4.2.1-7.mga6
+ Revision: 963834
- obsolete old mono-winfxcore (mga#17773)

* Wed Jan 27 2016 pterjan <pterjan> 4.2.1-6.mga6
+ Revision: 928201
- Disable libtoolize which breaks the build

* Fri Dec 04 2015 neoclust <neoclust> 4.2.1-5.mga6
+ Revision: 908076
- More updates fixes

* Fri Dec 04 2015 neoclust <neoclust> 4.2.1-4.mga6
+ Revision: 908026
- Handle more upgrade conflicts

* Thu Dec 03 2015 neoclust <neoclust> 4.2.1-3.mga6
+ Revision: 907834
- Use mageia find-* scripts

* Thu Dec 03 2015 tv <tv> 4.2.1-2.mga6
+ Revision: 907822
- obsoletes libmono-devel

* Wed Dec 02 2015 tv <tv> 4.2.1-1.mga6
+ Revision: 907778
- further adjust file list
- adjust file list
- new release

* Wed Dec 02 2015 pterjan <pterjan> 4.0.5-5.mga6
+ Revision: 907653
- Use valgrind on arm too

* Tue Dec 01 2015 neoclust <neoclust> 4.0.5-4.mga6
+ Revision: 907572
- Disable bootstrap

* Tue Dec 01 2015 neoclust <neoclust> 4.0.5-3.mga6
+ Revision: 907558
- Obsolete mono

* Tue Dec 01 2015 tv <tv> 4.0.5-2.mga6
+ Revision: 907508
- requires sqlite3-tools instead of non existing sqlite

* Tue Dec 01 2015 neoclust <neoclust> 4.0.5-1.mga6
+ Revision: 907494
- New version 4.0.5.1

  + akien <akien>
    - Fix libgdiplus soname in dllmap to avoid depending on -devel package

* Tue Mar 10 2015 matteo <matteo> 3.12.1-1.mga5
+ Revision: 818311
- new bugfix version 3.12.1 (fixes bug mga#15445)

* Sat Feb 21 2015 matteo <matteo> 3.12.0-1.mga5
+ Revision: 816247
- new version 3.12.0
- rediff mono-dllmap.patch

* Wed Oct 15 2014 umeabot <umeabot> 3.4.0-5.mga5
+ Revision: 749964
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.4.0-4.mga5
+ Revision: 727340
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.4.0-3.mga5
+ Revision: 682574
- Mageia 5 Mass Rebuild

* Sat May 24 2014 tv <tv> 3.4.0-2.mga5
+ Revision: 625276
- do not lookup gdi libs in /lib on 64bit

* Sat May 24 2014 tv <tv> 3.4.0-1.mga5
+ Revision: 625260
- adjust file list
- adjust file list
- adjust file list
- fix installing missing file
- source 2: add missing file
- new release
- rediff patch 0
- drop merged patches 8

* Sat May 24 2014 tv <tv> 3.2.3-5.mga5
+ Revision: 625244
- fix starting keepass

* Wed Jan 01 2014 pterjan <pterjan> 3.2.3-5.mga4
+ Revision: 563884
- Do not link gmcs.exe to a shell script that mono can not run

* Sun Dec 15 2013 dmorgan <dmorgan> 3.2.3-4.mga4
+ Revision: 557114
- Add back gmcs.exe, fixes nant

* Tue Oct 22 2013 umeabot <umeabot> 3.2.3-3.mga4
+ Revision: 541364
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 tv <tv> 3.2.3-2.mga4
+ Revision: 495680
- upstream further improved the banshee fix

* Sat Oct 05 2013 tv <tv> 3.2.3-1.mga4
+ Revision: 491782
- fix file list
- new release
- disable patch 7 (configure script is totally different)
- patch 8: fix banshee segfault (mga#11381, xamarin#14834)

* Tue Aug 06 2013 fwang <fwang> 3.2.1-1.mga4
+ Revision: 464091
- new version 3.2.1

* Mon Jul 29 2013 fwang <fwang> 3.2.0-3.mga4
+ Revision: 460200
- fix symlink on mono executable

* Sun Jul 28 2013 fwang <fwang> 3.2.0-2.mga4
+ Revision: 459726
- move monoboehm into correct lib

* Sun Jul 28 2013 fwang <fwang> 3.2.0-1.mga4
+ Revision: 459688
- update file list
- update sgenmajor
- cleanup spec
- new version 3.2.0

* Sun Jul 14 2013 matteo <matteo> 3.0.12-2.mga4
+ Revision: 454129
- fixed provides for mono-rx-core (reactive.linq and reactive.interfaces)
- moved wrong provides from rx-desktop to rx-core (reactive.interfaces)

* Tue Jul 09 2013 matteo <matteo> 3.0.12-1.mga4
+ Revision: 451854
- new version 3.0.12

* Sun Mar 10 2013 rtp <rtp> 2.10.9-4.mga3
+ Revision: 402057
- fix build without mgen
- enable sgen on arm
- make sure that armv6+ stuff is not enabled while building for armv5

* Sat Jan 12 2013 umeabot <umeabot> 2.10.9-3.mga3
+ Revision: 360230
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 fwang <fwang> 2.10.9-2.mga3
+ Revision: 299654
- update rpm group

* Fri Mar 02 2012 fwang <fwang> 2.10.9-1.mga2
+ Revision: 216625
- new version 2.10.9

* Thu Feb 09 2012 fwang <fwang> 2.10.8-2.mga2
+ Revision: 206662
- move ms.build into correct devel package

* Tue Jan 10 2012 fwang <fwang> 2.10.8-1.mga2
+ Revision: 194394
- update file list
- new version 2.10.8

* Thu Oct 13 2011 fwang <fwang> 2.10.6-1.mga2
+ Revision: 154200
- new version 2.10.6

* Sat Sep 17 2011 fwang <fwang> 2.10.5-3.mga2
+ Revision: 144445
- add gentoo patch to fix build
- fix cve-2011-0992
- drop .la files

* Sat Sep 03 2011 fwang <fwang> 2.10.5-1.mga2
+ Revision: 138123
- new version 2.10.5
- new version 2.10.3

* Tue Jul 05 2011 fwang <fwang> 2.10.2-1.mga2
+ Revision: 118911
- update filelist

  + kharec <kharec>
    - fix file list
    - update to 2.10.2

* Sun Apr 17 2011 dmorgan <dmorgan> 2.10.1-1.mga1
+ Revision: 87220
- Fix file list
- Update to version 2.10.1

* Sat Jan 15 2011 pterjan <pterjan> 2.8.2-3.mga1
+ Revision: 18210
- Disable bootstrap

* Sat Jan 15 2011 pterjan <pterjan> 2.8.2-2.mga1
+ Revision: 18119
- Enable bootstrap
- Enable oprofile support
- Remove tests for old mandriva

  + ahmad <ahmad>
    - drop old/unneeded scriptlets
    - make oprofile support condintional and disable it for now (it requires qt3)
    - imported package mono


* Thu Jan 06 2011 Götz Waschk <waschk@mandriva.org> 2.8.2-1mdv2011.0
+ Revision: 629058
- update to new version 2.8.2

* Mon Jan 03 2011 Götz Waschk <waschk@mandriva.org> 2.8.1-4mdv2011.0
+ Revision: 628202
- no bootstrap build

* Mon Jan 03 2011 Götz Waschk <waschk@mandriva.org> 2.8.1-3mdv2011.0
+ Revision: 627982
- readd broken Mono.WebBrowser to fix a missing dep
- bootstrap build

* Mon Jan 03 2011 Götz Waschk <waschk@mandriva.org> 2.8.1-2mdv2011.0
+ Revision: 627812
- remove Mono.WebBrowser and gluezilla dep
- obsolete old packages that were removed im mono 2.8 (bug #61748)

* Sat Nov 20 2010 Funda Wang <fwang@mandriva.org> 2.8.1-1mdv2011.0
+ Revision: 599172
- new verrsion 2.8.1

  + Götz Waschk <waschk@mandriva.org>
    - remove prj2make wrapper and man page

* Thu Oct 14 2010 Götz Waschk <waschk@mandriva.org> 2.8-6mdv2011.0
+ Revision: 585614
- add a common strongname key

* Thu Oct 14 2010 Götz Waschk <waschk@mandriva.org> 2.8-5mdv2011.0
+ Revision: 585587
- readd .NET 1.0 provides for .NET binaries and for bootstrapping nant

* Sat Oct 09 2010 Funda Wang <fwang@mandriva.org> 2.8-4mdv2011.0
+ Revision: 584455
- rebuild for real package

* Sat Oct 09 2010 Funda Wang <fwang@mandriva.org> 2.8-3mdv2011.0
+ Revision: 584441
- build bootstrap first
- fix requires

* Sat Oct 09 2010 Funda Wang <fwang@mandriva.org> 2.8-2mdv2011.0
+ Revision: 584422
- mono does not depend on glib now
- mono 2.8 does not provide module 1.x compatibility

* Thu Oct 07 2010 Götz Waschk <waschk@mandriva.org> 2.8-1mdv2011.0
+ Revision: 584040
- new version
- drop patch 5
- drop .NET 1.0 stuff
- remove data-firebird, data-sybase, jscript and jay packages
- enable sgen support
- update file list, add .NET 4.0 files

* Tue Jul 20 2010 Götz Waschk <waschk@mandriva.org> 2.6.7-1mdv2011.0
+ Revision: 555789
- new version
- update file list

* Tue May 25 2010 Rafael da Veiga Cabral <cabral@mandriva.com> 2.6.4-4mdv2010.1
+ Revision: 546058
- increase mkrel in order to build last changes
- back Requires glib on mono.pc as long as the assembly.h
  includes the glib.h otherwise it prevents OpenOffice.org
  to be built.

* Sun May 02 2010 Götz Waschk <waschk@mandriva.org> 2.6.4-3mdv2010.1
+ Revision: 541636
- drop format-string patch and disable Werror

* Sat May 01 2010 Funda Wang <fwang@mandriva.org> 2.6.4-2mdv2010.1
+ Revision: 541435
- link against glib is not need(fixed upstream)

* Wed Apr 28 2010 Funda Wang <fwang@mandriva.org> 2.6.4-1mdv2010.1
+ Revision: 539940
- new version 2.6.4

* Tue Mar 16 2010 Götz Waschk <waschk@mandriva.org> 2.6.3-1mdv2010.1
+ Revision: 521650
- new version
- update file list

* Wed Jan 13 2010 Emmanuel Andry <eandry@mandriva.org> 2.6.1-3mdv2010.1
+ Revision: 491011
- move pkgconfig files to devel package

* Sun Dec 20 2009 Götz Waschk <waschk@mandriva.org> 2.6.1-2mdv2010.1
+ Revision: 480352
- add oprofile support

* Sat Dec 19 2009 Götz Waschk <waschk@mandriva.org> 2.6.1-1mdv2010.1
+ Revision: 480235
- new version 2.6.1

* Wed Dec 16 2009 Götz Waschk <waschk@mandriva.org> 2.6-2mdv2010.1
+ Revision: 479217
- fix devel dep
- fix winfxcore dep

* Tue Dec 15 2009 Götz Waschk <waschk@mandriva.org> 2.6-1mdv2010.1
+ Revision: 478918
- new version
- rediff patches 1,8
- add winfxcore package
- update file list

* Thu Dec 10 2009 Götz Waschk <waschk@mandriva.org> 2.4.3-1mdv2010.1
+ Revision: 475989
- new version
- drop patch 9
- update file list

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 2.4.2.3-1mdv2010.0
+ Revision: 402815
- update to new version 2.4.2.3

* Tue Jul 21 2009 Götz Waschk <waschk@mandriva.org> 2.4.2.2-1mdv2010.0
+ Revision: 398315
- update to new version 2.4.2.2

* Wed Jul 08 2009 Götz Waschk <waschk@mandriva.org> 2.4.2.1-2mdv2010.0
+ Revision: 393599
- remove Mvc from main package
- update file list

* Wed Jul 08 2009 Funda Wang <fwang@mandriva.org> 2.4.2.1-1mdv2010.0
+ Revision: 393573
- fix file list
- new version 2.4.2.1

* Tue Jun 30 2009 Götz Waschk <waschk@mandriva.org> 2.4.2-1mdv2010.0
+ Revision: 390944
- new version
- rediff patch 8
- fix header file installation

* Fri Apr 24 2009 Götz Waschk <waschk@mandriva.org> 2.4-1mdv2010.0
+ Revision: 368968
- new version
- drop patch 9
- rediff patch 8
- update file list
- drop patch 3

* Thu Jan 15 2009 Götz Waschk <waschk@mandriva.org> 2.2-2mdv2009.1
+ Revision: 329814
- add workaround for build problem
- fix aclocal call
- new version
- drop patches 6,7
- rediff patch 1
- fix format strings
- add monodoc-core and mono-wcf packages
- update file list

* Tue Oct 28 2008 Götz Waschk <waschk@mandriva.org> 2.0.1-2mdv2009.1
+ Revision: 297989
- fix muine build

* Thu Oct 23 2008 Götz Waschk <waschk@mandriva.org> 2.0.1-1mdv2009.1
+ Revision: 296676
- new version

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 2.0-1mdv2009.1
+ Revision: 291909
- new version
- update patch 5
- patch 6: make resgen work without X
- disable patch 3
- reenable gluezilla dep
- update file list

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 1.9.1-5mdv2009.0
+ Revision: 263527
- temporarily drop gluezilla dep

* Tue Jun 24 2008 Götz Waschk <waschk@mandriva.org> 1.9.1-4mdv2009.0
+ Revision: 228512
- fix linking and reenable --no-undefined

* Tue Jun 24 2008 Götz Waschk <waschk@mandriva.org> 1.9.1-3mdv2009.0
+ Revision: 228511
- disable --no-undefined to make it build

  + Luiz Fernando Capitulino <lcapitulino@mandriva.com>
    - Fix ARG_MAX compilation error on libc-2.8

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 22 2008 Götz Waschk <waschk@mandriva.org> 1.9.1-2mdv2009.0
+ Revision: 196640
- fix bug with 0 rows returned after a sql timeout

* Tue Apr 22 2008 Götz Waschk <waschk@mandriva.org> 1.9.1-1mdv2009.0
+ Revision: 196613
- new version

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 1.9-1mdv2009.0
+ Revision: 192395
- new version
- drop patch 3
- update file list

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.2.6-4mdv2008.1
+ Revision: 170985
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- fix spacing at top of description

* Wed Jan 23 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.2.6-3mdv2008.1
+ Revision: 157207
- Added patch threads-types to work-around
  http://www.nabble.com/threads-types.h-missing-td14410166.html

* Thu Jan 10 2008 Götz Waschk <waschk@mandriva.org> 1.2.6-2mdv2008.1
+ Revision: 147673
- depend on gluezilla

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Götz Waschk <waschk@mandriva.org> 1.2.6-1mdv2008.1
+ Revision: 119343
- new version
- update file list

* Thu Nov 15 2007 Götz Waschk <waschk@mandriva.org> 1.2.5.2-1mdv2008.1
+ Revision: 108942
- new version
- P2: security fix for CVE-2007-5197

* Tue Oct 09 2007 Götz Waschk <waschk@mandriva.org> 1.2.5.1-1mdv2008.1
+ Revision: 96168
- new version
- rebuild again for missing source package

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 1.2.5-4mdv2008.0
+ Revision: 89482
- rebuild again without bootstrap flag

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 1.2.5-3mdv2008.0
+ Revision: 89474
- rebuild as bootstrap package

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 1.2.5-2mdv2008.0
+ Revision: 79307
- remove alternatives, pnet is dead

* Thu Aug 30 2007 Götz Waschk <waschk@mandriva.org> 1.2.5-1mdv2008.0
+ Revision: 75713
- new version
- new devel name
- update file list
- new version
- update patch 0
- update file list


* Sat Mar 31 2007 Frederic Crozat <fcrozat@mandriva.com> 1.2.3.1-4mdv2007.1
+ Revision: 150064
- Patch1: disable using /proc/self/exe to detect root prefix, it breaks when used under unionfs

* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2.3.1-3mdv2007.1
+ Revision: 146585
- fix upgrading

  + Götz Waschk <waschk@mandriva.org>
    - add conflict to ease upgrade
    - readd changelog

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 1.2.3.1-2mdv2007.1
+ Revision: 141656
- split out mono-nunit

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Thu Feb 15 2007 Götz Waschk <waschk@mandriva.org> 1.2.3.1-1mdv2007.1
+ Revision: 121546
- new version

* Thu Feb 08 2007 Götz Waschk <waschk@mandriva.org> 1.2.3-2mdv2007.1
+ Revision: 117699
- package reorganisation based on the upstream layout
- fix buildrequires
- drop patch1, mono-find-requires was moved to the devel package
- drop some obsolete files
- spec cleanup

* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 1.2.3-1mdv2007.1
+ Revision: 117007
- new version
- rediff the patches
- update file list

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 1.2.2.1-1mdv2007.1
+ Revision: 91933
- new version

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 1.2.2-1mdv2007.1
+ Revision: 90778
- new version

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 1.2.1-1mdv2007.1
+ Revision: 86398
- new version

* Fri Nov 10 2006 Götz Waschk <waschk@mandriva.org> 1.2-1mdv2007.0
+ Revision: 80518
- new version
- update the patch

* Tue Oct 17 2006 Götz Waschk <waschk@mandriva.org> 1.1.18-1mdv2007.1
+ Revision: 65612
- new version
  update the patch
- new version

* Tue Oct 10 2006 Götz Waschk <waschk@mandriva.org> 1.1.17.2-1mdv2006.0
+ Revision: 63204
- Import mono

* Tue Oct 10 2006 Gtz Waschk <waschk@mandriva.org> 1.1.17.2-1mdv2007.1
- fix jay URL
- New version 1.1.17.2

* Wed Sep 13 2006 Gtz Waschk <waschk@mandriva.org> 1.1.17.1-5mdv2007.0
- update patch 0 to fix bug 25550

* Tue Sep 12 2006 Gtz Waschk <waschk@mandriva.org> 1.1.17.1-4mdv2007.0
- resurrect patch 1 that was dropped by accident

* Sat Sep 09 2006 Götz Waschk <waschk@mandriva.org> 1.1.17.1-3mdv2007.0
- Rebuild

* Thu Sep 07 2006 Gtz Waschk <waschk@mandriva.org> 1.1.17.1-2mdv2007.0
- update patch with gdiplus mapping, needed for Windows.Forms

* Sat Sep 02 2006 Gtz Waschk <waschk@mandriva.org> 1.1.17.1-1mdv2007.0
- update file list
- New release 1.1.17.1

* Thu Aug 31 2006 Gtz Waschk <waschk@mandriva.org> 1.1.17-1mdv2007.0
- update file list
- drop patches 1,2
- New release 1.1.17

* Thu Aug 24 2006 Frederic Crozat <fcrozat@mandriva.com> 1.1.16.1-4mdv2007.0
- Patch2 (SVN): fix UnixStream.Close/Flush, speedup Beagle

* Mon Jul 24 2006 Gtz Waschk <waschk@mandriva.org> 1.1.16.1-3mdv2007.0
- fix mono-find-provides

* Sat Jul 15 2006 Gtz Waschk <waschk@mandriva.org> 1.1.16.1-2mdv2007.0
- fix provides

* Fri Jul 14 2006 Götz Waschk <waschk@mandriva.org> 1.1.16.1-1
- New release 1.1.16.1

* Sat Jul 08 2006 Gtz Waschk <waschk@mandriva.org> 1.1.16-1mdv2007.0
- update the patch
- New release 1.1.16

* Sun May 07 2006 Stefan van der Eijk <stefan@eijk.nu> 1.1.15-2mdk
- rebuild for sparc

* Tue Apr 18 2006 Gtz Waschk <waschk@mandriva.org> 1.1.15-1mdk
- source URL
- new version

* Tue Apr 04 2006 Gtz Waschk <waschk@mandriva.org> 1.1.14-1mdk
- update file list
- New release 1.1.14

* Thu Mar 30 2006 Gtz Waschk <waschk@mandriva.org> 1.1.13.6-1mdk
- rediff patch 0
- New release 1.1.13.6

* Sun Mar 05 2006 Götz Waschk <waschk@mandriva.org> 1.1.13.4-1mdk
- New release 1.1.13.4

* Mon Jan 23 2006 Götz Waschk <waschk@mandriva.org> 1.1.13.2-1mdk
- New release 1.1.13.2

* Mon Jan 16 2006 Götz Waschk <waschk@mandriva.org> 1.1.13.1-1mdk
- New release 1.1.13.1

* Wed Jan 11 2006 Gtz Waschk <waschk@mandriva.org> 1.1.13-1mdk
- update file list
- update patch 0
- New release 1.1.13

* Fri Jan 06 2006 Gtz Waschk <waschk@mandriva.org> 1.1.12.1-2mdk
- fix buildrequires

* Tue Dec 27 2005 Gtz Waschk <waschk@mandriva.org> 1.1.12.1-1mdk
- update file list
- New release 1.1.12.1

* Tue Dec 20 2005 Götz Waschk <waschk@mandriva.org> 1.1.12-1mdk
- New release 1.1.12

* Mon Dec 19 2005 Gtz Waschk <waschk@mandriva.org> 1.1.11-1mdk
- update file list
- New release 1.1.11

* Mon Dec 12 2005 Gtz Waschk <waschk@mandriva.org> 1.1.10.1-2mdk
- add some provides to make installation of nant possible

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 1.1.10.1-1mdk
- New release 1.1.10.1
- use mkrel

* Wed Nov 09 2005 Götz Waschk <waschk@mandriva.org> 1.1.10-1mdk
- New release 1.1.10

* Thu Oct 13 2005 Gtz Waschk <waschk@mandriva.org> 1.1.9.2-1mdk
- drop merged patch 2
- New release 1.1.9.2

* Sat Sep 24 2005 Gtz Waschk <waschk@mandriva.org> 1.1.9.1-1mdk
- update file list
- New release 1.1.9.1
- patch 2 fixes build on x86_64

* Sun Sep 11 2005 Gtz Waschk <waschk@mandriva.org> 1.1.9-1mdk
- update file list
- New release 1.1.9

* Fri Jul 29 2005 Gtz Waschk <waschk@mandriva.org> 1.1.8.3-1mdk
- New release 1.1.8.3

* Thu Jul 07 2005 Gtz Waschk <waschk@mandriva.org> 1.1.8.2-1mdk
- New release 1.1.8.2

* Sat Jun 25 2005 Gtz Waschk <waschk@mandriva.org> 1.1.8.1-5mdk
- rebuild with working monodis

* Sat Jun 25 2005 Gtz Waschk <waschk@mandriva.org> 1.1.8.1-4mdk
- disable parallel build, it breaks monodis and thus mono-find-*

* Sat Jun 25 2005 Gtz Waschk <waschk@mandriva.org> 1.1.8.1-3mdk
- oops, fix patch 1

* Fri Jun 24 2005 Gtz Waschk <waschk@mandriva.org> 1.1.8.1-2mdk
- fix mono-find-* scripts
- move the unversioned dlls to the lib package
- update the patch
- fix sqlite deps

* Wed Jun 22 2005 Gtz Waschk <waschk@mandriva.org> 1.1.8.1-1mdk
- New release 1.1.8.1

* Sat Jun 18 2005 Gtz Waschk <waschk@mandriva.org> 1.1.8-1mdk
- source URL
- update the patch
- New release 1.1.8

* Fri May 13 2005 Gtz Waschk <waschk@mandriva.org> 1.1.7-4mdk
- rebuild

* Fri May 13 2005 Gtz Waschk <waschk@mandriva.org> 1.1.7-3mdk
- rebuild

* Wed May 11 2005 Gtz Waschk <waschk@mandriva.org> 1.1.7-2mdk
- rebuild for new icu

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 1.1.7-1mdk
- disable aot compilation for now
- New release 1.1.7

* Sat Apr 30 2005 Gtz Waschk <waschk@mandriva.org> 1.1.6-6mdk
- rebuild for stupid x86_64

* Fri Apr 29 2005 Gtz Waschk <waschk@mandriva.org> 1.1.6-5mdk
- fix deps
- hardcode the mono prefix to /usr/lib

* Mon Apr 25 2005 Gtz Waschk <waschk@mandriva.org> 1.1.6-4mdk
- aot compile the executables

* Thu Apr 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.1.6-3mdk
- add bootstrap option
- readd buildrequires for mono

* Tue Apr 05 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.1.6-2mdk
- reenable parallel build
- fix buildrequires

* Sat Apr 02 2005 Götz Waschk <waschk@linux-mandrake.com> 1.1.6-1mdk
- New release 1.1.6

* Tue Mar 29 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.1.5-1mdk
- New release 1.1.5
- update file list
- drop patch 1
- update patch 0
- fix build
- fix installation
- remove missing dlls
- remove monostyle

* Sat Feb 19 2005 Götz Waschk <waschk@linux-mandrake.com> 1.0.6-1mdk
- New release 1.0.6

* Tue Jan 25 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.0.5-2mdk
- update the config patch

* Thu Dec 09 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.5-1mdk
- New release 1.0.5

* Tue Nov 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-3mdk
- make it build on 10.0 too
- misc spec file fixes

* Thu Nov 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-2mdk
- update patch 0 to add libgdiplus support

* Fri Nov 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-1mdk
- New release 1.0.4

* Thu Sep 23 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- New release 1.0.2

* Thu Sep 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-3mdk
- arrgh, fix patch application

* Tue Aug 31 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-2mdk
- split out sqlite package

* Fri Aug 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- new version

* Thu Jul 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-2mdk
- rebuild for new rpm

* Thu Jul 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- new version

* Thu Jun 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.96-1mdk
- fix devel provides
- fix groups
- new version

* Fri Jun 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.95-2mdk
- add nptl support
- don't run make in the mcs dir
- fix libgdiplus dependancy
- don't depend on cairo

* Thu Jun 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.95-1mdk
- fix doc section
- fix gdiplus dep
- fix mcs bootstrap
- new version

* Wed May 26 2004 Marcel Pol <mpol@mandrake.org> 0.91-4mdk
- make unversioned symlinks for mcs and mono for %%build
- add monostyle

* Fri May 14 2004 Marcel Pol <mpol@mandrake.org> 0.91-3mdk
- don't conflict but obsolete mono-config

* Wed May 12 2004 Marcel Pol <mpol@mandrake.org> 0.91-2mdk
* Wed May  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.91-1mdk
- add /usr/lib/mono to the runtime package
- fix source URL
- New release 0.91

* Sat May 01 2004 Marcel Pol <mpol@mandrake.org> 0.31-2mdk
- make resgen an alternative

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.31-1mdk
- spec fixes
- autoconf2.5 call
- fix source location
- new version

